<?php

namespace backend\models;

use yii\base\Model;
use yii\data\ActiveDataProvider;
use backend\models\Frapl012a;

/**
 * Frapl012aSearch represents the model behind the search form of `backend\models\Frapl012a`.
 */
class Frapl012aSearch extends Frapl012a
{
    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['FRAPL01_UUID', 'FRAPL01_2A_UUID', 'FRAPL01_2A_SKEMA_JENIS', 'FRAPL01_2A_SKEMA_NAMA', 'FRAPL01_2A_SKEMA_NOMOR', 'FRAPL01_2A_SERTIFIKASI', 'FRAPL01_2A_PKT', 'FRAPL01_2A_RPL', 'FRAPL01_2A_LAINNYA', 'CREATED', 'USERNAME'], 'safe'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     * @param string|null $formName Form name to be used into `->load()` method.
     *
     * @return ActiveDataProvider
     */
    public function search($params, $formName = null)
    {
        $query = Frapl012a::find();

        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
        ]);

        $this->load($params, $formName);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            'CREATED' => $this->CREATED,
        ]);

        $query->andFilterWhere(['like', 'FRAPL01_UUID', $this->FRAPL01_UUID])
            ->andFilterWhere(['like', 'FRAPL01_2A_UUID', $this->FRAPL01_2A_UUID])
            ->andFilterWhere(['like', 'FRAPL01_2A_SKEMA_JENIS', $this->FRAPL01_2A_SKEMA_JENIS])
            ->andFilterWhere(['like', 'FRAPL01_2A_SKEMA_NAMA', $this->FRAPL01_2A_SKEMA_NAMA])
            ->andFilterWhere(['like', 'FRAPL01_2A_SKEMA_NOMOR', $this->FRAPL01_2A_SKEMA_NOMOR])
            ->andFilterWhere(['like', 'FRAPL01_2A_SERTIFIKASI', $this->FRAPL01_2A_SERTIFIKASI])
            ->andFilterWhere(['like', 'FRAPL01_2A_PKT', $this->FRAPL01_2A_PKT])
            ->andFilterWhere(['like', 'FRAPL01_2A_RPL', $this->FRAPL01_2A_RPL])
            ->andFilterWhere(['like', 'FRAPL01_2A_LAINNYA', $this->FRAPL01_2A_LAINNYA])
            ->andFilterWhere(['like', 'USERNAME', $this->USERNAME]);

        return $dataProvider;
    }
}
